@media only screen and (min-width: 600px) {
    nav {
        .panel {
            z-index: 1;
            top: 0px;
            bottom: 0px;
            position: sticky;
            background-color: #222935;
            height: 100vh;

            .sidebar {
                height: 100%;
                width: 250px;
                display: flex;
                flex-direction: column;
                transition: all 0.5s ease 0.1s;
                overflow: hidden;

                .homelink {
                    margin: 0 auto;
                    margin-top: auto;
                    margin-bottom: 30px;
                    text-decoration: none;

                    .button-container {

                        .button {
                            font: 400 14px "Open Sans", sans-serif;
                            color: #FFFFFF;
                        }
                    }

                }

            }

            .shrink {
                width: 55px;

                .navbar-info {
                    &__photo-box {
                        margin: 0 auto;
                        margin-top: 20px;

                        .crop-photo {
                            width: 40px;
                            height: 40px;
                        }
                    }

                    figcaption {
                        display: none;
                    }
                }

                [data-nav="list"] {
                    margin-top: 150px;

                    ul {
                        margin: 0;

                        li {
                            padding: 20px;

                            dd {
                                display: none;
                            }
                        }
                    }
                }

                .button-container {

                    .button {

                        &-text {
                            display: none;
                        }
                    }
                }
            }

            .hide-nav {
                position: absolute;
                top: 20px;
                right: -28px;
                border: none !important;
                outline: none !important;


                .button-container {
                    padding: 0px;

                    .button {
                        padding: 5px 10px;

                        &:hover {
                            background-color: #222935;
                        }
                    }
                }
            }
        }
    }
}

@media only screen and (max-width: 600px) {
    nav {
        .panel {
            z-index: 1;
            top: 0px;
            bottom: 0px;
            position: sticky;
            background-color: #222935;
            height: 100vh;
            margin-right: 30px;

            .sidebar {
                height: 100%;
                width: 55px;
                display: flex;
                flex-direction: column;
                transition: all 0.5s ease;
                overflow: hidden;

                .navbar-info {
                    &__photo-box {
                        margin: 0 auto;
                        margin-top: 20px;

                        .crop-photo {
                            width: 40px;
                            height: 40px;
                        }
                    }

                    figcaption {
                        display: none;
                    }
                }

                [data-nav="list"] {
                    margin-top: 150px;

                    ul {
                        margin: 0;

                        li {
                            padding: 20px;

                            dd {
                                display: none;
                            }
                        }
                    }
                }

                .button-container {
                    margin: 0 auto;
                    margin-top: auto;
                    margin-bottom: 30px;

                    .button {

                        &-text {
                            display: none;
                        }
                    }
                }

            }

            .shrink {
                margin-left: -60px;
            }

            .hide-nav {
                position: absolute;
                top: 20px;
                right: -28px;
                border: none !important;
                outline: none !important;

                .button-container {
                    padding: 0px;

                    .button {
                        padding: 5px 10px;

                        &:hover {
                            background-color: #222935;
                        }
                    }
                }
            }
        }
    }
}